Page MenuHomePhabricator

ve.ce.LinearSelection throws exception
Closed, ResolvedPublic

Description

  1. Open empty.html
  2. Type one char ('a') and link it (ctrl+k, enter)
  3. Move the cursor to the end (right) then delete the text, and the empty link cartouche (backspace x 3)
  4. Press ctrl+k again

An exception is thrown trying to get a bounding rectangle for the cursor.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2018, 12:55 PM

Change 454537 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] ve.ce.LinearSelection: Guard against node=null in getNodeClientRectFromRange

https://gerrit.wikimedia.org/r/454537

Change 454537 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ve.ce.LinearSelection: Guard against node=null in getNodeClientRectFromRange

https://gerrit.wikimedia.org/r/454537

Looks like the (empty) input flashes red when you close the link inspector again, though this was already happening.

Change 454567 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (874470c1b)

https://gerrit.wikimedia.org/r/454567

Change 454567 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (874470c1b)

https://gerrit.wikimedia.org/r/454567

Deskana triaged this task as Medium priority.Aug 31 2018, 3:18 PM
Deskana closed this task as Resolved.Sep 28 2018, 12:32 PM